[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

DataWatch Monarch Business Intelligence (BI) v5.1 Admin Section Blind XPath Injection



DataWatch Monarch BI v5.1 admin section blind XPath injection 

Class:  Input Validation Error
Remote: Yes
Local:  No
Published: 26/06/2012
Credit:	Raymond Rizk of Dionach Limited (vulns@xxxxxxxxxxx)

Vulnerable: DataWatch Monarch BI v5.1

DataWatch's  Monarch BI admin section is prone to a blind XPath injection vulnerability because it fails to sproperly sanitize user-supplied input before using it in an XPath query. 

An attacker may leverage this issue to access or modify data in an XML document.

DataWatch Monarch BI v5.1 is known to be vulnerable. Other versions may also be vulnerable.

Attackers can use a browser to exploit this issue. This can be seen in the following example

http://127.0.0.1/ESClient/jsp/customizedialog.jsp?templateType=-1&doctypeid=122&activetab=DM_DOCUMENT_LIST&fields=filter;sort;summary;&searchtype=document'&doclist.jsp 

Vendor informed and a patch was released on 12/07/2012. Vendor recommends installing the latest security updates.